Create k8s cluster pool
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
7
Cluster name
"my-cluster"
Body
Flavor ID
"g1-standard-1-2"
Minimum node count
1 <= x <= 2003
Pool's name
1 - 20^[a-z][a-z0-9\-]{0,18}[a-z0-9]$"my-pool"
Enable auto healing
true
Boot volume size
10 <= x <= 200050
Boot volume type
cold, ssd_hiiops, ssd_local, ssd_lowlatency, standard, ultra "ssd_hiiops"
Cri-o configuration for pool nodes
Enable public v4 address
true
Kubelet configuration for pool nodes
Labels applied to the cluster pool
Maximum node count
1 <= x <= 2005
Security group IDs applied to the cluster pool nodes
Server group policy: anti-affinity, soft-anti-affinity or affinity
affinity, anti-affinity, soft-anti-affinity Taints applied to the cluster pool
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.